import { Component, OnInit } from '@angular/core';
import { GroupBoilerplate } from 'src/app/models/boilerplate.model';
import { BoilerplateService } from 'src/app/services/boilerplate.service';

@Component({
  selector: 'app-groupboil',
  templateUrl: './groupboil.component.html',
  styleUrls: ['./groupboil.component.scss']
})
export class GroupboilComponent implements OnInit {
  grouboilerplates?: GroupBoilerplate[];
  title = '';
  

  constructor(private boilerplateService: BoilerplateService) { }

  ngOnInit(): void {
    this.retrievegroupBoilerplates();
  }

  retrievegroupBoilerplates(): void {
    this.boilerplateService.getAllgroupboil()
      .subscribe(
        data => {
          this.grouboilerplates = data;
          console.log(data);
        },
        error => {
          console.log(error);
        });

  }

  deleteGroupBoilerplate(id: any): void {
    if(confirm("Αre you sure you want to delete this Project?")) {
      this.boilerplateService.deletegroupboil(id.id)
        .subscribe(
          response => {
            console.log(response);
            this.retrievegroupBoilerplates();
          },
          error => {
            console.log(error);
          });
      }
  }

}
